%MATLAB Script-file: stoergroessenaufschaltung_s_m.m
%stoergroessenaufschaltung_s.slx
clf, clear

%lw = 1.5;
tmax = 50.0; tz = 25.0;
w0 = 1.0; z10 = 1.0; z120 = 0.0; z20 = 0.0;
KS1 = 2.0; KS2 = 5.0; TS1 = 1.0; TS2 = 5.0;    %Streckenparameter
TN = TS2;             %Kompensation von TS2, berschwingweite 4.3%
KR = TS2/(2.0*KS1*KS2*TS1);
ZS1 = KS1; NS1 = [TS1 1];
ZS2 = KS2; NS2 = [TS2 1];

for st = [0  0.25 1.0]
sim('stoergroessenaufschaltung_s');
%plot(x_t.time,x_t.signals.values,'LineWidth',lw)
plot(x_t.time,x_t.signals.values)
title('\it{Sprungantwort}')
xlabel('Zeit t / s'), ylabel('Sprungantwort x(t)')
axis ([0 tmax 0 1.3])
grid on, hold on
end
