%file-name bsp9_5_7_m.m
%m-File zu Beispiel 9.5-7

T = 0.2;                 %Abstastzeitintervall
sim('bsp9_5_7')          %bsp9_5_7.mdl
n = 2;                   %Ordnung von A
m = 2;                   %Ordnung von B
N = 80;                  %Anzahl der Zeilen
nmp1 = n + m + 1;        %Anzahl der Spalten
M = zeros (N, nmp1);     %Mematrix
y = zeros (N, 1);        %Ausgangsgre
for k1 = 1:N
    y(k1) = yk(k1+2);    %Belegung der Ausgangsgre
end
for k1 = 1:N             %Belegung der Mematrix  
    M(k1,1) = -yk(k1+1);
    M(k1,2) = -yk(k1);
    M(k1,3) =  uk(k1+2);
    M(k1,4) =  uk(k1+1);
    M(k1,5) =  uk(k1);
end
p = pinv(M) * y       %Pseudoinverse

figure (1)
stem (kT, rk) 
title ('Mestrproze r(kT)')
xlabel ('Zeit  kT / s')
grid on

figure (2)
subplot (211)
stem (kT, uk) 
title ('Eingangsgre u(kT)')
xlabel ('Zeit  kT / s')
grid on
subplot (212)
stem (kT, yk) 
title ('Ausgangsgre y(kT)')
xlabel ('Zeit  kT / s')
grid on


