%MATLAB Script-file: beispiel_10_6_2_m.m
%beispiel_10_6_2.slx, Stoergroessenaufschaltung am Streckeneingang
clf, clear

tmax = 35.0; tz = 15.0;
w0 = 1.0; z120 = -0.5;
KS1 = 2.0; KS2 = 5.0; TS1 = 1.0; TS2 = 5.0;    %Streckenparameter
TN = TS2;             %Kompensation von TS2, berschwingweite 4.3%
KR = TS2/(2.0*KS1*KS2*TS1);

k = 1;% mit Straufschaltung
figure(1)
for T1 = [0.2 0.4 0.6 0.8 1.0]
sim('beispiel_10_6_2');
plot(x_t.time,x_t.signals.values)
title('Sprungantwort und Strgrenaufschaltung bei t_z = 15 s','FontWeight','normal')
xlabel('Zeit t / s'), ylabel('x(t)')
axis ([0 tmax 0 1.2])
grid on, hold on
end
k = 0; %ohne Straufschaltung
sim('beispiel_10_6_2');
plot(x_t.time,x_t.signals.values)

k = 1; %mit Straufschaltung
figure(2)
for T1 = [0.2 0.4 0.6 0.8 1.0]
sim('beispiel_10_6_2');
plot(y_t.time,y_t.signals.values)
title('Stellgre','FontWeight','normal')
xlabel('Zeit t / s'), ylabel('Stellgre y(t)')
axis ([0 tmax 0 1.6])
grid on, hold on
end
k = 0;%ohne Straufschaltung
sim('beispiel_10_6_2');
plot(y_t.time,y_t.signals.values)


