%Bild 14.5-19, zu Abschnitt 14.5.4.3
%bsp_14_5_07_m.m, bsp_14_5_07.mdl, 
%PID-Regler, schaltende Regler mit Rckfhrung

Kr = 5; Tr1 = 2; Tr2 = 3; 
e1 = 0.05; e2 = 0.05; y2 = 1;
e0 = 1; 
clf;
tmin = -0.4; tmax = 12; t1 = 0.522;
ymin = -0.1; ymax = 1.2; t2 = 10.0 + t1;
sim ('bsp_14_5_07') 
hold on
axis ([tmin tmax ymin ymax])
plot([tmin tmax],[0 0],'k-')
plot([0 0],[ymin ymax],'k-')
plot(t, x(:,3),'k-') % xr(t), xd(t), y(t)
c='k.'; k = 12;


for dt = 0:t1/(k/4):t1
   plot([0 dt],[y2 y2], c)
end
for dt = 1/3:y2/(2*k):y2
   plot([t1 t1],[y2 dt],c)
end
dx = 1/3:(y2-1/3)/(2.5*k):y2;
dt = t1:(t2-t1)/(2.5*k):t2;
plot(dt, dx, c)
for dt = t2:(tmax-t2)/(k/3.):tmax
   plot([t1 dt],[y2 y2], c)
end
title  ('PID-Regler, x_e_1 = 0.05, x_e_2 = 0.05, y_2 = 1, e_0 = 1')
xlabel ('t / s') 
ylabel ('Stellgre y(t), Mittelwert y _m(t)')
grid on
text (5.0, 1.025,'y(t)');
text (9.35, 0.89,'y_m(t)');
