%PID_Controller_z_Sprungantwort_m.m
clf, clear
%parallele Form
KP = 2; KI = 0.25; KD = 0.5;
Faktor_N = 4; T1 = KD / Faktor_N;
T = T1 / 5;
%ideale Form
KR  =  KP; TN  =  KP / KI; TV  =  KD / KP;
sim ('PID_Controller_z_Sprungantwort')
stairs(t_e_y_PID.time, t_e_y_PID.signals.values(:,1:2), 'b')
grid on, axis ([-0.025 1 -0.25 6.2])
xlabel ('Zeit  t / s'), ylabel ('Stellgre y(t), Regeldifferenz e(t)')
title  ('Sprungantwort des digitalen PID-Reglers')
text (0.056, 4.5, 'y(t)'), text (0.045, 1.15, 'e(t)')
hold on
plot ([-0.05 0],[ 0 0 ], 'b')
plot ([ 0    0],[ 0 1 ], 'b')
plot ([ 0    0],[ 1 5.3396 ], 'b')